%define majver %(echo %version | cut -d. -f1-2)

Name:          kxmlgui
Version:       5.10.0
Release:       1mamba
Summary:       Framework for managing menu and toolbar actions
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kxmlgui-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kconfig-devel
BuildRequires: libattica5-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkitemviews-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqt5-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KXMLGUI provides a framework for managing menu and toolbar actions in an abstract way. The actions are configured through a XML description and hooks in the application code. The framework supports merging of multiple description for example for integrating actions from plugins.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Framework for managing menu and toolbar actions

%description -n lib%{name}
KXMLGUI provides a framework for managing menu and toolbar actions in an abstract way.
The actions are configured through a XML description and hooks in the application code.
The framework supports merging of multiple description for example for integrating actions from plugins.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5XmlGui.so.*
%{_kde5_libexecdir}/ksendbugmail
%{_kde5_datadir}/kf5/kxmlgui
%{_sysconfdir}/xdg/ui/ui_standards.rc
%doc COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/KXmlGui
%{_kde5_includedir}/kxmlgui_version.h
%{_kde5_libdir}/cmake/KF5XmlGui
%{_kde5_libdir}/libKF5XmlGui.so
%{_kde5_mkspecsdir}/qt_KXmlGui.pri
%doc README.md

%changelog
* Fri May 15 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Wed May 06 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-2mamba
- standardize the specfile

* Sat Apr 18 2015 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Wed Mar 25 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Fri Mar 06 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
